package formes;

import java.awt.geom.Point2D;

abstract class FormeDelegue implements Forme {

	Forme delegue;

	public FormeDelegue(Forme f) {
		delegue = f;
	}

	@Override
	public Point2D centreGravite() {
		return delegue.centreGravite();
	}

	@Override
	public double perimetre() {
		return delegue.perimetre();
	}

	@Override
	public double surface() {
		return delegue.surface();
	}

	@Override
	public void placer(Point2D nouveauCentreGravite) {
		delegue.placer(nouveauCentreGravite);
	}

	@Override
	public void translater(double dx, double dy) {
		delegue.translater(dx, dy);
	}
}
